Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class FailureRecoverySignalImpl

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.FailureNotificationSignalImpl
          com.sun.enterprise.ee.cms.impl.common.FailureRecoverySignalImpl

All Implemented Interfaces:
  FailureNotificationSignal, FailureRecoverySignal, Signal

    public class FailureRecoverySignalImpl

extends FailureNotificationSignalImpl
implements FailureRecoverySignal

Implements the FailureRecoverySignal Interface and provides operations corresponding to a recovery oriented Signal's behavior

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: November 07, 2003

Field Summary

Fields inherited from class com.sun.enterprise.ee.cms.impl.common.FailureNotificationSignalImpl
`ctx, failedMember, groupName, logger, MEMBER_DETAILS, startTime`

Constructor Summary
`FailureRecoverySignalImpl(String componentName, String failedMember, String groupName, long startTime)`

Method Summary
`void` | `acquire()` Must be called by client before beginning any recovery operation in order to get support of failure fencing.
`String` | `getComponentName()`
`void` | `release()` Must be called by client after recovery operation is complete to bring the group state up-to-date on this recovery operation.

Methods inherited from class com.sun.enterprise.ee.cms.impl.common.FailureNotificationSignalImpl
`getFailedMemberToken, getGroupName, getMemberDetails, getMemberToken, getStartTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.enterprise.ee.cms.core.FailureNotificationSignal
`getFailedMemberToken`

Methods inherited from interface com.sun.enterprise.ee.cms.core.Signal
`getGroupName, getMemberDetails, getMemberToken, getStartTime`

Constructor Detail

### FailureRecoverySignalImpl

    public FailureRecoverySignalImpl(String componentName,
                                     String failedMember,
                                     String groupName,
                                     long startTime)

Method Detail

### acquire

    public void acquire()
                 throws SignalAcquireException

  Must be called by client before beginning any recovery operation in order to get support of failure fencing.

  Specified by:
    `acquire` in interface `Signal`
  Overrides:
    `acquire` in class `FailureNotificationSignalImpl`
  Throws:
    `SignalAcquireException`

### release

    public void release()
                 throws SignalReleaseException

  Must be called by client after recovery operation is complete to bring the group state up-to-date on this recovery operation. Not doing so will leave a stale entry in the group's state.

  Specified by:
    `release` in interface `Signal`
  Overrides:
    `release` in class `FailureNotificationSignalImpl`
  Throws:
    `SignalReleaseException`

### getComponentName

    public String getComponentName()

  Specified by:
    `getComponentName` in interface `FailureRecoverySignal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.